Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.ss.util
Class Region

    java.lang.Object
      org.apache.poi.ss.util.Region

All Implemented Interfaces:
  java.lang.Comparable<Region>

Direct Known Subclasses:
  Region

Deprecated. (Aug-2008) use `CellRangeAddress`

    public class Region

extends java.lang.Object
implements java.lang.Comparable<Region>

Represents a from/to row/col square. This is a object primitive that can be used to represent row,col - row,col just as one would use String to represent a string of characters. Its really only useful for HSSF though.

Author:
  Andrew C. Oliver acoliver at apache dot org

Constructor Summary
`Region()` Deprecated. Creates a new instance of Region (0,0 - 0,0)
`Region(int rowFrom, short colFrom, int rowTo, short colTo)` Deprecated.
`Region(java.lang.String ref)` Deprecated.

Method Summary
`int` | `compareTo(Region r)` Deprecated. Compares that the given region is the same less than or greater than this region.
`boolean` | `contains(int row, short col)` Deprecated. Answers: "is the row/column inside this range?"
`static Region[]` | `convertCellRangesToRegions(CellRangeAddress[] cellRanges)` Deprecated. Convert a List of CellRange objects to an array of regions
`static CellRangeAddress[]` | `convertRegionsToCellRanges(Region[] regions)` Deprecated.
`static CellRangeAddress` | `convertToCellRangeAddress(Region r)` Deprecated.
`boolean` | `equals(Region r)` Deprecated.
`int` | `getArea()` Deprecated.
`short` | `getColumnFrom()` Deprecated. get the upper left hand corner column number
`short` | `getColumnTo()` Deprecated. get the lower right hand corner column number
`java.lang.String` | `getRegionRef()` Deprecated.
`int` | `getRowFrom()` Deprecated. get the upper left hand corner row number
`int` | `getRowTo()` Deprecated. get the lower right hand corner row number
`void` | `setColumnFrom(short colFrom)` Deprecated. set the upper left hand corner column number
`void` | `setColumnTo(short colTo)` Deprecated. set the lower right hand corner column number
`void` | `setRowFrom(int rowFrom)` Deprecated. set the upper left hand corner row number
`void` | `setRowTo(int rowTo)` Deprecated. get the lower right hand corner row number

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Region

    public Region()

  Deprecated.
  Creates a new instance of Region (0,0 - 0,0)

### Region

    public Region(int rowFrom,
                  short colFrom,
                  int rowTo,
                  short colTo)

  Deprecated.

### Region

    public Region(java.lang.String ref)

  Deprecated.

Method Detail

### getColumnFrom

    public short getColumnFrom()

  Deprecated.
  get the upper left hand corner column number

  Returns:
    column number for the upper left hand corner

### getRowFrom

    public int getRowFrom()

  Deprecated.
  get the upper left hand corner row number

  Returns:
    row number for the upper left hand corner

### getColumnTo

    public short getColumnTo()

  Deprecated.
  get the lower right hand corner column number

  Returns:
    column number for the lower right hand corner

### getRowTo

    public int getRowTo()

  Deprecated.
  get the lower right hand corner row number

  Returns:
    row number for the lower right hand corner

### setColumnFrom

    public void setColumnFrom(short colFrom)

  Deprecated.
  set the upper left hand corner column number

  Parameters:
    `colFrom` - column number for the upper left hand corner

### setRowFrom

    public void setRowFrom(int rowFrom)

  Deprecated.
  set the upper left hand corner row number

  Parameters:
    `rowFrom` - row number for the upper left hand corner

### setColumnTo

    public void setColumnTo(short colTo)

  Deprecated.
  set the lower right hand corner column number

  Parameters:
    `colTo` - column number for the lower right hand corner

### setRowTo

    public void setRowTo(int rowTo)

  Deprecated.
  get the lower right hand corner row number

  Parameters:
    `rowTo` - row number for the lower right hand corner

### contains

    public boolean contains(int row,
                            short col)

  Deprecated.
  Answers: "is the row/column inside this range?"

  Returns:
    `true` if the cell is in the range and `false` if it is not

### equals

    public boolean equals(Region r)

  Deprecated.

### compareTo

    public int compareTo(Region r)

  Deprecated.
  Compares that the given region is the same less than or greater than this region. If any regional coordiant passed in is less than this regions coordinants then a positive integer is returned. Otherwise a negative integer is returned.

  Specified by:
    `compareTo` in interface `java.lang.Comparable<Region>`
  Parameters:
    `r` - region
  See Also:
    `Comparable.compareTo(Object)`

### getArea

    public int getArea()

  Deprecated.
  Returns:
    the size of the region (number of cells in the area).

### convertCellRangesToRegions

    public static Region[] convertCellRangesToRegions(CellRangeAddress[] cellRanges)

  Deprecated.
  Convert a List of CellRange objects to an array of regions

  Parameters:
    `cellRanges` - list of CellRange objects
  Returns:
    regions

### convertRegionsToCellRanges

    public static CellRangeAddress[] convertRegionsToCellRanges(Region[] regions)

  Deprecated.

### convertToCellRangeAddress

    public static CellRangeAddress convertToCellRangeAddress(Region r)

  Deprecated.

### getRegionRef

    public java.lang.String getRegionRef()

  Deprecated.
  Returns:
    the string reference for this region

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2010 The Apache Software Foundation or its licensors, as applicable.